==> Synchronizing chroot copy [/chroot/i686/root] -> [build]...done
==> Making package: angr 9.0.8021-1 (Mon Jun 28 14:25:03 2021)
==> Retrieving sources...
  -> Found angr-9.0.8021.tar.gz
  -> Found angr.install
==> WARNING: Skipping verification of source file PGP signatures.
==> Validating source files with sha512sums...
    angr-9.0.8021.tar.gz ... Passed
    angr.install ... Passed
==> Making package: angr 9.0.8021-1 (Mon 28 Jun 2021 02:25:18 PM EDT)
==> Checking runtime dependencies...
==> Installing missing dependencies...
[?25lresolving dependencies...
looking for conflicting packages...

Packages (78) capstone-4.0.2-3.2  cython-0.29.23-1.1  git-2.32.0-1.0
              http-parser-2.9.4-1.0  libgit2-1:1.1.0-1.0  libnsl-1.3.0-2.0
              perl-error-0.17029-3.0  perl-mailtools-2.21-5.0
              perl-timedate-2.33-3.0  protobuf-3.16.0-1.1  python-3.9.5-3.1
              python-appdirs-1.4.4-3.1  python-babel-2.9.1-1.0
              python-bitstring-3.1.7-3.1  python-cached-property-1.5.2-3.1
              python-chardet-4.0.0-2.0  python-decorator-5.0.9-1.0
              python-docutils-0.17-1.0  python-future-0.18.2-5.1
              python-gitdb-1:4.0.7-1.0  python-idna-3.2-1.0
              python-imagesize-1.2.0-4.1  python-jinja-3.0.1-1.0
              python-markupsafe-2.0.1-1.0  python-mock-3.0.5-6.0
              python-ordered-set-4.0.2-3.1  python-packaging-20.9-1.0
              python-pbr-5.6.0-1.0  python-pefile-2021.5.24-1.0
              python-plumbum-1.7.0-3.0  python-ply-3.11-7.1
              python-pygments-2.9.0-1.0  python-pyparsing-2.4.7-3.1
              python-pytz-2021.1-1.0  python-requests-2.25.1-1.0
              python-setuptools-1:52.0.0-1.0  python-six-1.16.0-1.0
              python-smmap-1:4.0.0-1.0  python-snowballstemmer-2.1.0-1.0
              python-sphinx-4.0.2-1.0  python-sphinx-alabaster-theme-0.7.12-6.1
              python-sphinxcontrib-applehelp-1.0.2-6.0
              python-sphinxcontrib-devhelp-1.0.2-6.0
              python-sphinxcontrib-htmlhelp-2.0.0-1.0
              python-sphinxcontrib-jsmath-1.0.1-9.0
              python-sphinxcontrib-qthelp-1.0.3-6.0
              python-sphinxcontrib-serializinghtml-1.1.5-1.0
              python-urllib3-1.25.10-4.0  python-utils-2.5.6-1.0
              python-z3-4.8.11-1.0  unicorn-1.0.3-1.0  z3-4.8.11-1.0
              python-ailment-9.0.8021-1  python-ana-0.06-1
              python-archinfo-9.0.8021-1  python-bintrees-2.2.0-1
              python-cachetools-4.2.2-1.0  python-capstone-4.0.2-3.2
              python-cffi-1.14.5-1.1  python-claripy-9.0.8021-1
              python-cle-9.0.8021-1  python-cooldict-1.04-3
              python-cppheaderparser-2.7.4-2  python-dpkt-git-20210102.r628-1
              python-gitpython-3.1.14-1.0  python-itanium_demangler-1.0-2
              python-mulpyplexer-0.08-2  python-networkx-2.5.1-2.0
              python-progressbar-3.53.1-5.0  python-protobuf-3.16.0-1.1
              python-psutil-5.8.0-1.0  python-pycparser-2.20-3.1
              python-pyelftools-0.27-1.0  python-pygit2-1.6.1-1.0
              python-pyvex-9.0.8021-1  python-rpyc-5.0.1-1.0
              python-sortedcontainers-2.4.0-1.0  python-unicorn-1.0.3-1.0

Total Download Size:    31.70 MiB
Total Installed Size:  333.85 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 python-ailment-9.0.8021-1-any downloading...
 cython-0.29.23-1.1-i686 downloading...
 python-bintrees-2.2.0-1-i686 downloading...
 capstone-4.0.2-3.2-i686 downloading...
 python-capstone-4.0.2-3.2-i686 downloading...
 python-claripy-9.0.8021-1-any downloading...
 python-pefile-2021.5.24-1.0-any downloading...
 python-pyelftools-0.27-1.0-any downloading...
 python-sortedcontainers-2.4.0-1.0-any downloading...
 python-cle-9.0.8021-1-any downloading...
 python-cooldict-1.04-3-any downloading...
 python-cppheaderparser-2.7.4-2-any downloading...
 python-pbr-5.6.0-1.0-any downloading...
 python-mock-3.0.5-6.0-any downloading...
 python-pytz-2021.1-1.0-any downloading...
 python-babel-2.9.1-1.0-any downloading...
 python-docutils-0.17-1.0-any downloading...
 python-imagesize-1.2.0-4.1-any downloading...
 python-markupsafe-2.0.1-1.0-i686 downloading...
 python-jinja-3.0.1-1.0-any downloading...
 python-pygments-2.9.0-1.0-any downloading...
 python-urllib3-1.25.10-4.0-any downloading...
 python-chardet-4.0.0-2.0-any downloading...
 python-idna-3.2-1.0-any downloading...
 python-requests-2.25.1-1.0-any downloading...
 python-snowballstemmer-2.1.0-1.0-any downloading...
 python-sphinx-alabaster-theme-0.7.12-6.1-any downloading...
 python-sphinxcontrib-applehelp-1.0.2-6.0-any downloading...
 python-sphinxcontrib-devhelp-1.0.2-6.0-any downloading...
 python-sphinxcontrib-htmlhelp-2.0.0-1.0-any downloading...
 python-sphinxcontrib-jsmath-1.0.1-9.0-any downloading...
 python-sphinxcontrib-qthelp-1.0.3-6.0-any downloading...
 python-sphinxcontrib-serializinghtml-1.1.5-1.0-any downloading...
 python-sphinx-4.0.2-1.0-any downloading...
 python-dpkt-git-20210102.r628-1-any downloading...
 perl-error-0.17029-3.0-any downloading...
 perl-timedate-2.33-3.0-any downloading...
 perl-mailtools-2.21-5.0-any downloading...
 git-2.32.0-1.0-i686 downloading...
 python-smmap-1:4.0.0-1.0-any downloading...
 python-gitdb-1:4.0.7-1.0-any downloading...
 python-gitpython-3.1.14-1.0-any downloading...
 python-itanium_demangler-1.0-2-any downloading...
 python-mulpyplexer-0.08-2-any downloading...
 python-decorator-5.0.9-1.0-any downloading...
 python-networkx-2.5.1-2.0-any downloading...
 python-utils-2.5.6-1.0-any downloading...
 python-progressbar-3.53.1-5.0-any downloading...
 protobuf-3.16.0-1.1-i686 downloading...
 python-protobuf-3.16.0-1.1-i686 downloading...
 python-psutil-5.8.0-1.0-i686 downloading...
 http-parser-2.9.4-1.0-i686 downloading...
 libgit2-1:1.1.0-1.0-i686 downloading...
 python-cached-property-1.5.2-3.1-any downloading...
 python-pygit2-1.6.1-1.0-i686 downloading...
 python-plumbum-1.7.0-3.0-any downloading...
 python-rpyc-5.0.1-1.0-any downloading...
 unicorn-1.0.3-1.0-i686 downloading...
 python-unicorn-1.0.3-1.0-i686 downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing libnsl...
installing python...
Optional dependencies for python
    python-setuptools [pending]
    python-pip
    sqlite [installed]
    mpdecimal: for decimal
    xz: for lzma [installed]
    tk: for tkinter
installing python-ply...
installing python-pycparser...
installing python-future...
Optional dependencies for python-future
    python-setuptools: futurize and pasteurize scripts [pending]
installing python-archinfo...
installing python-cffi...
installing python-bitstring...
installing python-pyvex...
installing python-ailment...
installing python-ana...
installing cython...
installing python-bintrees...
installing python-cachetools...
installing capstone...
installing python-capstone...
installing z3...
installing python-z3...
installing python-claripy...
installing python-pefile...
installing python-pyelftools...
installing python-sortedcontainers...
installing python-cle...
installing python-cooldict...
installing python-cppheaderparser...
installing python-six...
installing python-appdirs...
installing python-pyparsing...
installing python-packaging...
installing python-ordered-set...
installing python-setuptools...
installing python-pbr...
installing python-mock...
installing python-pytz...
installing python-babel...
installing python-docutils...
installing python-imagesize...
installing python-markupsafe...
installing python-jinja...
Optional dependencies for python-jinja
    python-babel: for i18n support [installed]
installing python-pygments...
installing python-urllib3...
Optional dependencies for python-urllib3
    python-pysocks: SOCKS support
    python-brotli: Brotli support
    python-pyopenssl: security support
installing python-chardet...
installing python-idna...
installing python-requests...
Optional dependencies for python-requests
    python-pysocks: SOCKS proxy support
installing python-snowballstemmer...
Optional dependencies for python-snowballstemmer
    python-pystemmer: for improved performance
installing python-sphinx-alabaster-theme...
installing python-sphinxcontrib-applehelp...
installing python-sphinxcontrib-devhelp...
installing python-sphinxcontrib-htmlhelp...
installing python-sphinxcontrib-jsmath...
installing python-sphinxcontrib-qthelp...
installing python-sphinxcontrib-serializinghtml...
installing python-sphinx...
Optional dependencies for python-sphinx
    imagemagick: for ext.imgconverter
    texlive-latexextra: for generation of PDF documentation
installing python-dpkt-git...
installing perl-error...
installing perl-timedate...
installing perl-mailtools...
installing git...
Optional dependencies for git
    tk: gitk and git gui
    perl-libwww: git svn
    perl-term-readkey: git svn and interactive.singlekey setting
    perl-io-socket-ssl: git send-email TLS support
    perl-authen-sasl: git send-email TLS support
    perl-mediawiki-api: git mediawiki support
    perl-datetime-format-iso8601: git mediawiki support
    perl-lwp-protocol-https: git mediawiki https support
    perl-cgi: gitweb (web interface) support
    python: git svn & git p4 [installed]
    subversion: git svn
    org.freedesktop.secrets: keyring credential helper
    libsecret: libsecret credential helper [installed]
installing python-smmap...
installing python-gitdb...
installing python-gitpython...
installing python-itanium_demangler...
installing python-mulpyplexer...
installing python-decorator...
installing python-networkx...
Optional dependencies for python-networkx
    python-numpy: Provides sparse matrix representation of graphs and many
    numerical scientific tools.
    python-scipy: Provides flexible drawing of graphs.
    python-pyparsing: Required for pydot, GML file reading. [installed]
    python-yaml: Required for YAML format reading and writing.
installing python-utils...
installing python-progressbar...
installing protobuf...
installing python-protobuf...
installing python-psutil...
installing http-parser...
installing libgit2...
installing python-cached-property...
installing python-pygit2...
installing python-plumbum...
installing python-rpyc...
installing unicorn...
installing python-unicorn...
:: Running post-transaction hooks...
(1/1) Warn about old perl modules
[?25h==> Checking buildtime dependencies...
==> Installing missing dependencies...
[?25lresolving dependencies...
looking for conflicting packages...

Packages (17) python-cachecontrol-0.12.6-3.0  python-colorama-0.4.4-3.1
              python-contextlib2-0.6.0.post1-3.1  python-cryptography-3.4.7-1.0
              python-distlib-0.3.2-1.0  python-distro-1.5.0-3.0
              python-html5lib-1.1-6.0  python-msgpack-1.0.2-2.1
              python-pep517-0.10.0-2.0  python-progress-1.5-5.1
              python-pyopenssl-20.0.1-1.0  python-resolvelib-0.5.5-1.0
              python-retrying-1.3.3-9.1  python-toml-0.10.2-3.1
              python-webencodings-0.5.1-6.1  python-pip-20.3.1-1.1
              python-wheel-0.36.2-1.2

Total Download Size:   1.77 MiB
Total Installed Size:  8.54 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 python-msgpack-1.0.2-2.1-i686 downloading...
 python-cachecontrol-0.12.6-3.0-any downloading...
 python-colorama-0.4.4-3.1-any downloading...
 python-contextlib2-0.6.0.post1-3.1-any downloading...
 python-distlib-0.3.2-1.0-any downloading...
 python-distro-1.5.0-3.0-any downloading...
 python-webencodings-0.5.1-6.1-any downloading...
 python-html5lib-1.1-6.0-any downloading...
 python-toml-0.10.2-3.1-any downloading...
 python-pep517-0.10.0-2.0-any downloading...
 python-progress-1.5-5.1-any downloading...
 python-retrying-1.3.3-9.1-any downloading...
 python-resolvelib-0.5.5-1.0-any downloading...
 python-cryptography-3.4.7-1.0-i686 downloading...
 python-pyopenssl-20.0.1-1.0-any downloading...
 python-pip-20.3.1-1.1-any downloading...
 python-wheel-0.36.2-1.2-any downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing python-msgpack...
installing python-cachecontrol...
Optional dependencies for python-cachecontrol
    python-lockfile: for the FileCache
installing python-colorama...
installing python-contextlib2...
installing python-distlib...
installing python-distro...
installing python-webencodings...
installing python-html5lib...
Optional dependencies for python-html5lib
    python-lxml: lxml treebuilder
    python-genshi: genshi treewalker
installing python-toml...
installing python-pep517...
installing python-progress...
installing python-retrying...
installing python-resolvelib...
installing python-cryptography...
installing python-pyopenssl...
installing python-pip...
installing python-wheel...
Optional dependencies for python-wheel
    python-xdg: for wheel.signatures
[?25h==> Retrieving sources...
  -> Found angr-9.0.8021.tar.gz
  -> Found angr.install
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Extracting angr-9.0.8021.tar.gz with bsdtar
==> Starting build()...
ERROR: Exception:
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/base_command.py", line 224, in _main
    status = self.run(options, args)
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/req_command.py", line 180, in wrapper
    return func(self, options, args)
  File "/usr/lib/python3.9/site-packages/pip/_internal/commands/wheel.py", line 154, in run
    requirement_set = resolver.resolve(
  File "/usr/lib/python3.9/site-packages/pip/_internal/resolution/resolvelib/resolver.py", line 121, in resolve
    self._result = resolver.resolve(
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 454, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 319, in resolve
    name, crit = self._merge_into_criterion(r, parent=None)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 171, in _merge_into_criterion
    name = self._p.identify(requirement_or_candidate=requirement)
TypeError: identify() got an unexpected keyword argument 'requirement_or_candidate'
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp1_8fh17n', '--quiet', 'unicorn==1.0.2rc4']' returned non-zero exit status 2.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/build/angr/src/angr-9.0.8021/setup.py", line 135, in <module>
    setup(
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 152, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 147, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 686, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 766, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1051, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1063, in obtain
    return installer(requirement)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 745, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp1_8fh17n', '--quiet', 'unicorn==1.0.2rc4']' returned non-zero exit status 2.
==> ERROR: A failure occurred in build().
    Aborting...
==> Removing installed dependencies...
[?25lchecking dependencies...
:: gettext optionally requires git: for autopoint infrastructure updates
:: glib2 optionally requires python: gdbus-codegen, glib-genmarshal, glib-mkenums, gtester-report
:: util-linux optionally requires python: python bindings to libmount

Packages (95) capstone-4.0.2-3.2  cython-0.29.23-1.1  git-2.32.0-1.0
              http-parser-2.9.4-1.0  libgit2-1:1.1.0-1.0  libnsl-1.3.0-2.0
              perl-error-0.17029-3.0  perl-mailtools-2.21-5.0
              perl-timedate-2.33-3.0  protobuf-3.16.0-1.1  python-3.9.5-3.1
              python-ailment-9.0.8021-1  python-ana-0.06-1
              python-appdirs-1.4.4-3.1  python-archinfo-9.0.8021-1
              python-babel-2.9.1-1.0  python-bintrees-2.2.0-1
              python-bitstring-3.1.7-3.1  python-cachecontrol-0.12.6-3.0
              python-cached-property-1.5.2-3.1  python-cachetools-4.2.2-1.0
              python-capstone-4.0.2-3.2  python-cffi-1.14.5-1.1
              python-chardet-4.0.0-2.0  python-claripy-9.0.8021-1
              python-cle-9.0.8021-1  python-colorama-0.4.4-3.1
              python-contextlib2-0.6.0.post1-3.1  python-cooldict-1.04-3
              python-cppheaderparser-2.7.4-2  python-cryptography-3.4.7-1.0
              python-decorator-5.0.9-1.0  python-distlib-0.3.2-1.0
              python-distro-1.5.0-3.0  python-docutils-0.17-1.0
              python-dpkt-git-20210102.r628-1  python-future-0.18.2-5.1
              python-gitdb-1:4.0.7-1.0  python-gitpython-3.1.14-1.0
              python-html5lib-1.1-6.0  python-idna-3.2-1.0
              python-imagesize-1.2.0-4.1  python-itanium_demangler-1.0-2
              python-jinja-3.0.1-1.0  python-markupsafe-2.0.1-1.0
              python-mock-3.0.5-6.0  python-msgpack-1.0.2-2.1
              python-mulpyplexer-0.08-2  python-networkx-2.5.1-2.0
              python-ordered-set-4.0.2-3.1  python-packaging-20.9-1.0
              python-pbr-5.6.0-1.0  python-pefile-2021.5.24-1.0
              python-pep517-0.10.0-2.0  python-pip-20.3.1-1.1
              python-plumbum-1.7.0-3.0  python-ply-3.11-7.1
              python-progress-1.5-5.1  python-progressbar-3.53.1-5.0
              python-protobuf-3.16.0-1.1  python-psutil-5.8.0-1.0
              python-pycparser-2.20-3.1  python-pyelftools-0.27-1.0
              python-pygit2-1.6.1-1.0  python-pygments-2.9.0-1.0
              python-pyopenssl-20.0.1-1.0  python-pyparsing-2.4.7-3.1
              python-pytz-2021.1-1.0  python-pyvex-9.0.8021-1
              python-requests-2.25.1-1.0  python-resolvelib-0.5.5-1.0
              python-retrying-1.3.3-9.1  python-rpyc-5.0.1-1.0
              python-setuptools-1:52.0.0-1.0  python-six-1.16.0-1.0
              python-smmap-1:4.0.0-1.0  python-snowballstemmer-2.1.0-1.0
              python-sortedcontainers-2.4.0-1.0  python-sphinx-4.0.2-1.0
              python-sphinx-alabaster-theme-0.7.12-6.1
              python-sphinxcontrib-applehelp-1.0.2-6.0
              python-sphinxcontrib-devhelp-1.0.2-6.0
              python-sphinxcontrib-htmlhelp-2.0.0-1.0
              python-sphinxcontrib-jsmath-1.0.1-9.0
              python-sphinxcontrib-qthelp-1.0.3-6.0
              python-sphinxcontrib-serializinghtml-1.1.5-1.0
              python-toml-0.10.2-3.1  python-unicorn-1.0.3-1.0
              python-urllib3-1.25.10-4.0  python-utils-2.5.6-1.0
              python-webencodings-0.5.1-6.1  python-wheel-0.36.2-1.2
              python-z3-4.8.11-1.0  unicorn-1.0.3-1.0  z3-4.8.11-1.0

Total Removed Size:  342.39 MiB

:: Do you want to remove these packages? [Y/n] 
:: Processing package changes...
removing python-wheel...
removing python-unicorn...
removing unicorn...
removing python-rpyc...
removing python-pygit2...
removing python-psutil...
removing python-protobuf...
removing python-progressbar...
removing python-utils...
removing python-plumbum...
removing python-pip...
removing python-retrying...
removing python-resolvelib...
removing python-pyopenssl...
removing python-progress...
removing python-pep517...
removing python-toml...
removing python-networkx...
removing python-mulpyplexer...
removing python-itanium_demangler...
removing python-html5lib...
removing python-webencodings...
removing python-gitpython...
removing python-gitdb...
removing python-smmap...
removing python-dpkt-git...
removing python-sphinx...
removing python-sphinxcontrib-serializinghtml...
removing python-sphinxcontrib-qthelp...
removing python-sphinxcontrib-jsmath...
removing python-sphinxcontrib-htmlhelp...
removing python-sphinxcontrib-devhelp...
removing python-sphinxcontrib-applehelp...
removing python-sphinx-alabaster-theme...
removing python-snowballstemmer...
removing python-pygments...
removing python-jinja...
removing python-markupsafe...
removing python-imagesize...
removing python-mock...
removing python-pbr...
removing python-docutils...
removing python-distro...
removing python-setuptools...
removing python-packaging...
removing python-six...
removing python-pyparsing...
removing python-ordered-set...
removing python-distlib...
removing python-decorator...
removing python-cryptography...
removing python-cppheaderparser...
removing python-cooldict...
removing python-contextlib2...
removing python-colorama...
removing python-cle...
removing python-sortedcontainers...
removing python-pyelftools...
removing python-pefile...
removing python-claripy...
removing python-z3...
removing z3...
removing python-capstone...
removing python-cachetools...
removing python-cached-property...
removing python-cachecontrol...
removing python-requests...
removing python-urllib3...
removing python-idna...
removing python-chardet...
removing python-msgpack...
removing python-bintrees...
removing python-babel...
removing python-pytz...
removing python-appdirs...
removing python-ana...
removing python-ailment...
removing python-pyvex...
removing python-bitstring...
removing python-cffi...
removing python-pycparser...
removing python-ply...
removing python-archinfo...
removing python-future...
removing protobuf...
removing libgit2...
removing http-parser...
removing git...
removing perl-mailtools...
removing perl-timedate...
removing perl-error...
removing cython...
removing python...
removing libnsl...
removing capstone...
[?25h==> ERROR: Build failed, check /chroot/i686/build/build